<template>
  <div class="echart1_box">
    <div id="echart1"></div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      chartData: [
        {
          id: "1",
          sjml: "国家基础地理数据",
          sjlb: "数字正射影像图",
          sjccl: "10240",
          fgfw: "全国",
          zbxt: "CGCS2000",
          ccgs: "TIF、img",
          jd: "0.5米、2米、15米分辨率",
        },
        {
          id: "2",
          sjml: "国家基础地理数据",
          sjlb: "数字高程模型",
          sjccl: "650",
          fgfw: "全国",
          zbxt: "CGCS2000",
          ccgs: "TIF",
          jd: "30米分辨率",
        },
        {
          id: "3",
          sjml: "国家基础地理数据",
          sjlb: "数字线划图",
          sjccl: "300",
          fgfw: "全国",
          zbxt: "CGCS2000",
          ccgs: "gdb、mdb",
          jd: "1:25万、1:100万",
        },
        {
          id: "4",
          sjml: "中俄东线管道工程南段",
          sjlb: "勘察数据",
          sjccl: "60",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、png、jpg、doc、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "5",
          sjml: "中俄东线管道工程南段",
          sjlb: "岩土数据",
          sjccl: "30",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "tif、xls、png、jpg、doc",
          jd: "1:2000比例尺",
        },
        {
          id: "6",
          sjml: "中俄东线管道工程南段",
          sjlb: "测量数据",
          sjccl: "120",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、tif、mpt、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "7",
          sjml: "中俄东线管道工程南段",
          sjlb: "合规数据",
          sjccl: "1",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "8",
          sjml: "中俄东线管道工程南段",
          sjlb: "管理数据",
          sjccl: "1",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "9",
          sjml: "中俄东线管道工程中段",
          sjlb: "勘察数据",
          sjccl: "30",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、png、jpg、doc、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "10",
          sjml: "中俄东线管道工程中段",
          sjlb: "岩土数据",
          sjccl: "20",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "tif、xls、png、jpg、doc",
          jd: "1:2000比例尺",
        },
        {
          id: "11",
          sjml: "中俄东线管道工程中段",
          sjlb: "测量数据",
          sjccl: "40",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、tif、mpt、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "12",
          sjml: "中俄东线管道工程中段",
          sjlb: "合规数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "13",
          sjml: "中俄东线管道工程中段",
          sjlb: "管理数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "14",
          sjml: "广州站",
          sjlb: "勘察数据",
          sjccl: "10",
          fgfw: "覆盖站场范围",
          zbxt: "CGCS2000",
          ccgs: "xls、png、jpg、doc、3dml等",
          jd: "1:500比例尺",
        },
        {
          id: "15",
          sjml: "广州站",
          sjlb: "岩土数据",
          sjccl: "5",
          fgfw: "覆盖站场范围",
          zbxt: "CGCS2000",
          ccgs: "tif、xls、png、jpg、doc",
          jd: "1:500比例尺",
        },
        {
          id: "16",
          sjml: "广州站",
          sjlb: "测量数据",
          sjccl: "20",
          fgfw: "覆盖站场范围",
          zbxt: "CGCS2000",
          ccgs: "xls、tif、mpt、3dml等",
          jd: "1:500比例尺",
        },
        {
          id: "17",
          sjml: "广州站",
          sjlb: "合规数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "18",
          sjml: "广州站",
          sjlb: "管理数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "19",
          sjml: "唐山LNG",
          sjlb: "勘察数据",
          sjccl: "20",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、png、jpg、doc、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "20",
          sjml: "唐山LNG",
          sjlb: "岩土数据",
          sjccl: "5",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "tif、xls、png、jpg、doc",
          jd: "1:2000比例尺",
        },
        {
          id: "21",
          sjml: "唐山LNG",
          sjlb: "测量数据",
          sjccl: "40",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、tif、mpt、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "22",
          sjml: "唐山LNG",
          sjlb: "合规数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "23",
          sjml: "唐山LNG",
          sjlb: "管理数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "24",
          sjml: "新疆连木沁站场",
          sjlb: "勘察数据",
          sjccl: "25",
          fgfw: "覆盖站场范围",
          zbxt: "CGCS2000",
          ccgs: "xls、png、jpg、doc、3dml等",
          jd: "1:500比例尺",
        },
        {
          id: "25",
          sjml: "新疆连木沁站场",
          sjlb: "岩土数据",
          sjccl: "5",
          fgfw: "覆盖站场范围",
          zbxt: "CGCS2000",
          ccgs: "tif、xls、png、jpg、doc",
          jd: "1:500比例尺",
        },
        {
          id: "26",
          sjml: "新疆连木沁站场",
          sjlb: "测量数据",
          sjccl: "30",
          fgfw: "覆盖站场范围",
          zbxt: "CGCS2000",
          ccgs: "xls、tif、mpt、3dml等",
          jd: "1:500比例尺",
        },
        {
          id: "27",
          sjml: "新疆连木沁站场",
          sjlb: "合规数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "28",
          sjml: "新疆连木沁站场",
          sjlb: "管理数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "29",
          sjml: "中缅天然气管道风险排查航空摄影测量",
          sjlb: "勘察数据",
          sjccl: "80",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、png、jpg、doc、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "30",
          sjml: "中缅天然气管道风险排查航空摄影测量",
          sjlb: "岩土数据",
          sjccl: "1",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "tif、xls、png、jpg、doc",
          jd: "1:2000比例尺",
        },
        {
          id: "31",
          sjml: "中缅天然气管道风险排查航空摄影测量",
          sjlb: "测量数据",
          sjccl: "200",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、tif、mpt、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "32",
          sjml: "中缅天然气管道风险排查航空摄影测量",
          sjlb: "合规数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "33",
          sjml: "中缅天然气管道风险排查航空摄影测量",
          sjlb: "管理数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "34",
          sjml: "宁强至安康段天然气管道工程",
          sjlb: "勘察数据",
          sjccl: "50",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、png、jpg、doc、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "35",
          sjml: "宁强至安康段天然气管道工程",
          sjlb: "岩土数据",
          sjccl: "3",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "tif、xls、png、jpg、doc",
          jd: "1:2000比例尺",
        },
        {
          id: "36",
          sjml: "宁强至安康段天然气管道工程",
          sjlb: "测量数据",
          sjccl: "50",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、tif、mpt、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "37",
          sjml: "宁强至安康段天然气管道工程",
          sjlb: "合规数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "38",
          sjml: "宁强至安康段天然气管道工程",
          sjlb: "管理数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "39",
          sjml: "中缅油气管道数字化恢复测量成果",
          sjlb: "勘察数据",
          sjccl: "100",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、png、jpg、doc、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "40",
          sjml: "中缅油气管道数字化恢复测量成果",
          sjlb: "岩土数据",
          sjccl: "1",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "tif、xls、png、jpg、doc",
          jd: "1:2000比例尺",
        },
        {
          id: "41",
          sjml: "中缅油气管道数字化恢复测量成果",
          sjlb: "测量数据",
          sjccl: "200",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、tif、mpt、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "42",
          sjml: "中缅油气管道数字化恢复测量成果",
          sjlb: "合规数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "43",
          sjml: "中缅油气管道数字化恢复测量成果",
          sjlb: "管理数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "44",
          sjml: "QZ 天然气（成品油）管道工程",
          sjlb: "勘察数据",
          sjccl: "40",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、png、jpg、doc、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "45",
          sjml: "QZ 天然气（成品油）管道工程",
          sjlb: "岩土数据",
          sjccl: "10",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "tif、xls、png、jpg、doc",
          jd: "1:2000比例尺",
        },
        {
          id: "46",
          sjml: "QZ 天然气（成品油）管道工程",
          sjlb: "测量数据",
          sjccl: "200",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、tif、mpt、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "47",
          sjml: "QZ 天然气（成品油）管道工程",
          sjlb: "合规数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "48",
          sjml: "QZ 天然气（成品油）管道工程",
          sjlb: "管理数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "49",
          sjml: "西气东输高后果区风险排查项目",
          sjlb: "勘察数据",
          sjccl: "60",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、png、jpg、doc、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "50",
          sjml: "西气东输高后果区风险排查项目",
          sjlb: "岩土数据",
          sjccl: "10",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "tif、xls、png、jpg、doc",
          jd: "1:2000比例尺",
        },
        {
          id: "51",
          sjml: "西气东输高后果区风险排查项目",
          sjlb: "测量数据",
          sjccl: "500",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、tif、mpt、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "52",
          sjml: "西气东输高后果区风险排查项目",
          sjlb: "合规数据",
          sjccl: "2",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "53",
          sjml: "西气东输高后果区风险排查项目",
          sjlb: "管理数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "54",
          sjml: "管道公司漠大线坐标转换及中心线外业测绘项目",
          sjlb: "勘察数据",
          sjccl: "20",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、png、jpg、doc、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "55",
          sjml: "管道公司漠大线坐标转换及中心线外业测绘项目",
          sjlb: "岩土数据",
          sjccl: "10",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "tif、xls、png、jpg、doc",
          jd: "1:2000比例尺",
        },
        {
          id: "56",
          sjml: "管道公司漠大线坐标转换及中心线外业测绘项目",
          sjlb: "测量数据",
          sjccl: "300",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、tif、mpt、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "57",
          sjml: "管道公司漠大线坐标转换及中心线外业测绘项目",
          sjlb: "合规数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "58",
          sjml: "管道公司漠大线坐标转换及中心线外业测绘项目",
          sjlb: "管理数据",
          sjccl: "1",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "59",
          sjml: "山东管网西干线项目",
          sjlb: "勘察数据",
          sjccl: "20",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、png、jpg、doc、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "60",
          sjml: "山东管网西干线项目",
          sjlb: "岩土数据",
          sjccl: "10",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "tif、xls、png、jpg、doc",
          jd: "1:2000比例尺",
        },
        {
          id: "61",
          sjml: "山东管网西干线项目",
          sjlb: "测量数据",
          sjccl: "150",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、tif、mpt、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "62",
          sjml: "山东管网西干线项目",
          sjlb: "合规数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "63",
          sjml: "山东管网西干线项目",
          sjlb: "管理数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "64",
          sjml: "北京燃气南港 LNG 应急储备项目外输管道工程",
          sjlb: "勘察数据",
          sjccl: "30",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、png、jpg、doc、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "65",
          sjml: "北京燃气南港 LNG 应急储备项目外输管道工程",
          sjlb: "岩土数据",
          sjccl: "10",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "tif、xls、png、jpg、doc",
          jd: "1:2000比例尺",
        },
        {
          id: "66",
          sjml: "北京燃气南港 LNG 应急储备项目外输管道工程",
          sjlb: "测量数据",
          sjccl: "80",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、tif、mpt、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "67",
          sjml: "北京燃气南港 LNG 应急储备项目外输管道工程",
          sjlb: "合规数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "68",
          sjml: "北京燃气南港 LNG 应急储备项目外输管道工程",
          sjlb: "管理数据",
          sjccl: "2",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "69",
          sjml: "西气东输三线中段管道工程",
          sjlb: "勘察数据",
          sjccl: "15",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、png、jpg、doc、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "70",
          sjml: "西气东输三线中段管道工程",
          sjlb: "岩土数据",
          sjccl: "10",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "tif、xls、png、jpg、doc",
          jd: "1:2000比例尺",
        },
        {
          id: "71",
          sjml: "西气东输三线中段管道工程",
          sjlb: "测量数据",
          sjccl: "40",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、tif、mpt、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "72",
          sjml: "西气东输三线中段管道工程",
          sjlb: "合规数据",
          sjccl: "1",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "73",
          sjml: "西气东输三线中段管道工程",
          sjlb: "管理数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "74",
          sjml: "中哈液化石油气跨境管道项目",
          sjlb: "勘察数据",
          sjccl: "28",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、png、jpg、doc、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "75",
          sjml: "中哈液化石油气跨境管道项目",
          sjlb: "岩土数据",
          sjccl: "10",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "tif、xls、png、jpg、doc",
          jd: "1:2000比例尺",
        },
        {
          id: "76",
          sjml: "中哈液化石油气跨境管道项目",
          sjlb: "测量数据",
          sjccl: "50",
          fgfw: "管道沿线1公里带状",
          zbxt: "CGCS2000",
          ccgs: "xls、tif、mpt、3dml等",
          jd: "1:2000比例尺",
        },
        {
          id: "77",
          sjml: "中哈液化石油气跨境管道项目",
          sjlb: "合规数据",
          sjccl: "0.5",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
        {
          id: "78",
          sjml: "中哈液化石油气跨境管道项目",
          sjlb: "管理数据",
          sjccl: "1",
          zbxt: "CGCS2000",
          ccgs: "doc、xls、pdf、jpg等",
        },
      ],
    };
  },
  mounted() {
    this.lineChart();
  },
  //方法集合
  methods: {
    lineChart() {
      let option = {
        title: {
          //   text: "Stacked Line",
        },
        tooltip: {
          trigger: "axis",
        },
        legend: {
          data: [
            "数字正射影像图",
            "数字高程模型",
            "数字线划图",
            "勘察数据",
            "岩土数据",
            "测量数据",
            "合规数据",
            "管理数据",
          ],
          textStyle: {
            color: "#fff", // 图例文字颜色
          },
        },
        grid: {
          left: "6%",
          right: "4%",
          bottom: "3%",
          containLabel: true,
        },
        toolbox: {
          feature: {
            saveAsImage: {},
          },
        },
        xAxis: {
          type: "category",
          boundaryGap: false,
          data: [
            "国家基础地理数据",
            "中俄东线管道工程南段",
            "中俄东线管道工程中段",
            "广州站",
            "唐山LNG",
            "新疆连木沁站场",
            "中缅天然气管道风险排查航空摄影测量",
            "宁强至安康段天然气管道工程",
            "中缅油气管道数字化恢复测量成果",
            "QZ 天然气（成品油）管道工程",
            "西气东输高后果区风险排查项目",
            "管道公司漠大线坐标转换及中心线外业测绘项目",
            "山东管网西干线项目",
            "北京燃气南港 LNG 应急储备项目外输管道工程",
            "西气东输三线中段管道工程",
            "中哈液化石油气跨境管道项目",
          ],
          axisLabel: {
            interval: 0, //控制X轴刻度全部显示
            rotate: 45, //倾斜角度
            show: true,
            textStyle: {
              color: "#fff",
            },
          },
        },
        yAxis: {
          type: "value",
          axisLabel: {
            show: true,
            textStyle: {
              color: "#fff",
            },
          },
        },
        series: [
          {
            name: "数字正射影像图",
            type: "line",
            stack: "Total",
            data: [3000, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
          },
          {
            name: "数字高程模型",
            type: "line",
            stack: "Total",
            data: [650, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
          },
          {
            name: "数字线划图",
            type: "line",
            stack: "Total",
            data: [300, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
          },
          {
            name: "勘察数据",
            type: "line",
            stack: "Total",
            data: [
              0, 60, 30, 10, 20, 25, 80, 50, 100, 40, 60, 20, 20, 30, 15, 28,
            ],
          },
          {
            name: "岩土数据",
            type: "line",
            stack: "Total",
            data: [0, 30, 20, 5, 5, 5, 1, 3, 1, 10, 10, 10, 10, 10, 10, 10],
          },
          {
            name: "测量数据",
            type: "line",
            stack: "Total",
            data: [
              0, 120, 40, 10, 20, 40, 30, 200, 50, 200, 500, 300, 150, 80, 40,
              50,
            ],
          },
          {
            name: "合规数据",
            type: "line",
            stack: "Total",
            data: [
              0, 0.5, 1, 0.5, 0.5, 0.5, 2, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5,
              0.5, 0.5,
            ],
          },
          {
            name: "管理数据",
            type: "line",
            stack: "Total",
            data: [
              0, 1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 1, 0.5, 2, 0.5,
              1,
            ],
          },
        ],
      };
      let myChart = this.$echarts.init(document.getElementById("echart1"));
      myChart.setOption(option);
      window.addEventListener("resize", function () {
        myChart.resize();
      });
    },
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.echart1_box {
  padding: 20px;
  background: rgba(0, 0, 0, 0.6);
}
#echart1 {
  width: 100%;
  height: 100%;
}
</style>
